package com.jg.project.about.domain;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;




/**
 * 关于第三部分对象 about_part_three
 *
 * @author wyd
 * @date 2024-04-19
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("关于第三部分")
@TableName(" about_part_three")
public class AboutPartThree{
private static final long serialVersionUID=1L;

    /** 主键 */
        @ApiModelProperty("主键")
        @TableId(value = "id" , type = IdType.ASSIGN_ID)
        @JSONField(serializeUsing = ToStringSerializer.class)
        private Long id;
    /** 第一标题 */
        @ApiModelProperty("第一标题")
        @TableField("title_one")
        private String titleOne;
    /** 第二标题 */
        @ApiModelProperty("第二标题")
        @TableField("title_two")
        private String titleTwo;
    /** 备注 */
        @ApiModelProperty("备注")
        @TableField("remarks")
        private String remarks;
    /** 图标 */
        @ApiModelProperty("图标")
        @TableField("icon")
        private String icon;
    /** 排序 */
        @ApiModelProperty("排序")
        @TableField("sorts")
        private Long sorts;
        /** 创建时间 */
        @ApiModelProperty(value = "创建时间",hidden = true)
        @TableField("create_time")
        @JSONField(serializeUsing = ToStringSerializer.class)
        private String createTime;
        /** 更新时间 */
        @ApiModelProperty(value = "更新时间",hidden = true)
        @TableField("update_time")
        @JSONField(serializeUsing = ToStringSerializer.class)
        private String updateTime;
}